Bug 1028630 - GError: Duplicate object ID 'regions' on line 78 (previously on line 29)
GError: Duplicate object ID 'regions' on line 78 (previously on line 29)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:62dcc3b4cc9ac182e9418a4675b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 17:08 EST by Brian Lane
Modified: 2015-05-29 12:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-20.25.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 12:51:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (206.26 KB, text/plain)
2013-11-08 17:08 EST, Brian Lane
no flags Details
File: anaconda.log (2.94 KB, text/plain)
2013-11-08 17:08 EST, Brian Lane
no flags Details
File: environ (405 bytes, text/plain)
2013-11-08 17:08 EST, Brian Lane
no flags Details
File: lsblk_output (1.72 KB, text/plain)
2013-11-08 17:08 EST, Brian Lane
no flags Details
File: nmcli_dev_list (4.33 KB, text/plain)
2013-11-08 17:08 EST, Brian Lane
no flags Details
File: os_info (291 bytes, text/plain)
2013-11-08 17:08 EST, Brian Lane
no flags Details
File: program.log (35.63 KB, text/plain)
2013-11-08 17:08 EST, Brian Lane
no flags Details
File: storage.log (79.36 KB, text/plain)
2013-11-08 17:08 EST, Brian Lane
no flags Details
File: syslog (59.00 KB, text/plain)
2013-11-08 17:09 EST, Brian Lane
no flags Details
File: ifcfg.log (399 bytes, text/plain)
2013-11-08 17:09 EST, Brian Lane
no flags Details
File: packaging.log (12.73 KB, text/plain)
2013-11-08 17:09 EST, Brian Lane
no flags Details

  None (edit)
Description Brian Lane 2013-11-08 17:08:31 EST
Description of problem:
Applied updates.img with commits for bug 1025029 (among others).

Fails when you click Continue on the welcome screen.

Version-Release number of selected component:
anaconda-20.25.6-1

The following was filed automatically by anaconda:
anaconda 20.25.6-1 exception report
Traceback (most recent call first):
  File "/tmp/updates/pyanaconda/ui/gui/__init__.py", line 203, in __init__
    self.builder.add_objects_from_file(self._findUIFile(), self.builderObjects)
  File "/tmp/updates/pyanaconda/ui/gui/spokes/__init__.py", line 32, in __init__
    GUIObject.__init__(self, data)
  File "/tmp/updates/pyanaconda/ui/gui/spokes/__init__.py", line 78, in __init__
    Spoke.__init__(self, data)
  File "/tmp/updates/pyanaconda/ui/gui/spokes/datetime_spoke.py", line 351, in __init__
    NormalSpoke.__init__(self, *args)
  File "/tmp/updates/pyanaconda/ui/gui/hubs/__init__.py", line 176, in _createBox
    spoke = spokeClass(self.data, self.storage, self.payload, self.instclass)
  File "/tmp/updates/pyanaconda/ui/gui/hubs/__init__.py", line 380, in refresh
    self._createBox()
  File "/tmp/updates/pyanaconda/ui/gui/__init__.py", line 740, in _on_continue_clicked
    nextAction.refresh()
  File "/tmp/updates/pyanaconda/ui/gui/spokes/__init__.py", line 68, in _on_continue_clicked
    cb()
  File "/tmp/updates/pyanaconda/ui/gui/spokes/welcome.py", line 317, in _on_continue_clicked
    StandaloneSpoke._on_continue_clicked(self, cb)
  File "/tmp/updates/pyanaconda/ui/gui/spokes/__init__.py", line 72, in <lambda>
    self.window.connect("continue-clicked", lambda *args: self._on_continue_clicked(cb))
GError: Duplicate object ID 'regions' on line 78 (previously on line 29)

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-Beta\x20x86_64 updates=http://updates.notae.us/updates.img BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.6-301.fc20.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        20-Beta
Comment 1 Brian Lane 2013-11-08 17:08:35 EST
Created attachment 821815 [details]
File: anaconda-tb
Comment 2 Brian Lane 2013-11-08 17:08:38 EST
Created attachment 821816 [details]
File: anaconda.log
Comment 3 Brian Lane 2013-11-08 17:08:41 EST
Created attachment 821817 [details]
File: environ
Comment 4 Brian Lane 2013-11-08 17:08:44 EST
Created attachment 821818 [details]
File: lsblk_output
Comment 5 Brian Lane 2013-11-08 17:08:47 EST
Created attachment 821819 [details]
File: nmcli_dev_list
Comment 6 Brian Lane 2013-11-08 17:08:50 EST
Created attachment 821820 [details]
File: os_info
Comment 7 Brian Lane 2013-11-08 17:08:53 EST
Created attachment 821821 [details]
File: program.log
Comment 8 Brian Lane 2013-11-08 17:08:56 EST
Created attachment 821822 [details]
File: storage.log
Comment 9 Brian Lane 2013-11-08 17:09:00 EST
Created attachment 821823 [details]
File: syslog
Comment 10 Brian Lane 2013-11-08 17:09:03 EST
Created attachment 821824 [details]
File: ifcfg.log
Comment 11 Brian Lane 2013-11-08 17:09:06 EST
Created attachment 821825 [details]
File: packaging.log
Comment 12 Vratislav Podzimek 2013-11-09 09:25:03 EST
Patch removing the duplicate definition pushed to the f20-branch. Unfortunately without the bug number.
Comment 13 Brian Lane 2013-11-11 19:44:33 EST
Same problem, but with regionCompletion now.

You'd think glade would prevent this.
Comment 14 Vratislav Podzimek 2013-11-12 02:49:54 EST
(In reply to Brian C. Lane from comment #13)
> Same problem, but with regionCompletion now.
> 
> You'd think glade would prevent this.
It might do, but this is the result of merging things from master to f20-branch. Because on master, we have all the glade files saved with the new Glade, so porting these changes mean manually modifying the XML files. Which I obviously suck at doing. :)
Comment 15 Vratislav Podzimek 2013-11-12 03:23:29 EST
A patch with two more changes pushed to f20-branch. I've tested it and everything seems okay now.
Comment 16 Fedora End Of Life 2015-05-29 05:43:25 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.